from installclass import BaseInstallClass
from rhpl.translate import N_,_
from constants import *
import os
import iutil

import rpmUtils.arch

class InstallClass(BaseInstallClass):
    # name has underscore used for mnemonics, strip if you dont need it
    id = "startcom"
    name = N_("_StartCom")
    _description = N_("The default installation of %s includes a set of "
                    "software applicable for general internet usage. "
                    "What additional tasks would you like your system "
                    "to include support for?") 
    _descriptionFields = (productName,)
    sortPriority = 10000
    # if productName.startswith("StartCom Enterprise") or 1:
    hidden = 0

    tasks = [(N_("Base System (Recommended)"), ["base", "base-x", "dial-up", "legacy-software-support"]),
             (N_("GNOME Desktop"), ["gnome-desktop", "graphical-internet", "base-x"]),
             (N_("KDE Desktop"), ["kde-desktop", "graphical-internet", "base-x"]),
             (N_("Office and Productivity"), ["graphics", "office", "games", "sound-and-video", "graphical-internet", "authoring-and-publishing"]),
             (N_("Software Development"), ["development-libs", "development-tools", "gnome-software-development", "x-software-development", "eclipse", "legacy-software-development"]),
             (N_("Servers Applications"), ["web-server", "ftp-server", "smb-server", "mysql", "mail-server", "server-cfg", "system-tools"]),
             (N_("Administration Tools"), ["admin-tools", "system-tools", "base-x"]),
             (N_("Virtualization"), ["virtualization", "system-tools"]),
             (N_("Clustering Support"), ["clustering", "system-tools"])]

    repos = {  }

    def setInstallData(self, anaconda):
	BaseInstallClass.setInstallData(self, anaconda)
        BaseInstallClass.setDefaultPartitioning(self, anaconda.id.partitions,
                                                CLEARPART_TYPE_LINUX)

    def setGroupSelection(self, anaconda):
        grps = anaconda.backend.getDefaultGroups(anaconda)
        map(lambda x: anaconda.backend.selectGroup(x), grps)

    def setSteps(self, dispatch):
	BaseInstallClass.setSteps(self, dispatch);
	dispatch.skipStep("partition")

    def __init__(self, expert):
	BaseInstallClass.__init__(self, expert)
